
	      ____                  __          ____
	     / __ \____  _____ ____/ /_  ____  / / /_
	    / /_/ / __ `/ ___/ ___/ __ \/ __ \/ / __/
	   / ____/ /_/ (__  |__  ) /_/ / /_/ / / /_
	  /_/    \__,_/____/____/_,___/\____/_/\__/

	The open source password manager for teams
	Copyright (c) 2021 Passbolt SA
	https://www.passbolt.com

[![PHPStan Enabled](./webroot/img/third_party/phpstan.svg)](https://github.com/phpstan/phpstan)
[![Psalm level](./webroot/img/third_party/psalm.svg)](https://psalm.dev/)

## License

Passbolt - Open source password manager for teams

(c) 2022 Passbolt SA

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General
Public License (AGPL) as published by the Free Software Foundation version 3.

The name "Passbolt" is a registered trademark of Passbolt SA, and Passbolt SA hereby declines to grant a trademark
license to "Passbolt" pursuant to the GNU Affero General Public License version 3 Section 7(e), without a separate
agreement with Passbolt SA.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License along with this program. If not,
see [GNU Affero General Public License v3](http://www.gnu.org/licenses/agpl-3.0.html).

## About Passbolt

Passbolt is an open source password manager for teams. It allows you to
securely share and store credentials. For instance, the wifi password of your
office, the administrator password of a router or your organization's social
media account passwords, all of them can be secured using passbolt.

Passbolt is different from the other password managers because:
- It is primarily designed for teams and not individuals
- It is free & open source
- It is respectful of privacy
- It is based on OpenPGP, a proven cryptographic standard
- It is easy to use for both novices and IT professionals alike
- It is extensible thanks to its RESTful API

Find out more: [https://www.passbolt.com](https://www.passbolt.com "Passbolt Homepage")

### How does it look like?

[![Login](https://raw.githubusercontent.com/passbolt/passbolt_styleguide/master/src/img/screenshots/teaser-screenshot-login-275.png)](https://raw.githubusercontent.com/passbolt/passbolt_styleguide/master/src/img/screenshots/teaser-screenshot-login.png)
[![Browse passwords](https://raw.githubusercontent.com/passbolt/passbolt_styleguide/master/src/img/screenshots/teaser-screenshot4-275.png)](https://raw.githubusercontent.com/passbolt/passbolt_styleguide/master/src/img/screenshots/teaser-screenshot4.png)
[![Share passwords](https://raw.githubusercontent.com/passbolt/passbolt_styleguide/master/src/img/screenshots/teaser-screenshot-share-275.png)](https://raw.githubusercontent.com/passbolt/passbolt_styleguide/master/src/img/screenshots/teaser-screenshot-share.png)


### Trying out passbolt

You can try a demo of passbolt at https://demo.passbolt.com.

You will need to install a browser extension. You can find some help here:
https://help.passbolt.com/faq/start/browser-extensions

## Installing passbolt

You can install passbolt on your own machine. Follow the instructions on the website here:
https://help.passbolt.com/hosting/install

## Updating passbolt

Every now and then you will need to update passbolt to benefits from important fixes and improvements.
Follow the instructions on the website here: https://help.passbolt.com/hosting/update

## Contributing to passbolt

Please check out the [contributing guide](./CONTRIBUTING.md) for more information on how to get involved!

## Reporting a security issue

If you've found a security-related issue in passbolt, please don't open an issue on GitHub.
Instead contact us at security@passbolt.com. In the spirit of responsible disclosure we ask
that the reporter keep the issue confidential until we announce it.

The passbolt team will take the following actions:
- Try first to reproduce the issue and confirm the vulnerability.
- Acknowledge to the reporter that we have received the issue and are working on a fix.
- Get a fix/patch prepared and create associated automated tests.
- Prepare a post describing the vulnerability and the possible exploits.
- Release new versions of all affected major versions.
- Prominently feature the problem in the release announcement.
- Give credit in the release announcement to the reporter if they so desire.

## Credits

https://www.passbolt.com/credits
