/**
 * Passbolt ~ Open source password manager for teams
 * Copyright (c) Passbolt SA (https://www.passbolt.com)
 *
 * Licensed under GNU Affero General Public License version 3 of the or any later version.
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Passbolt SA (https://www.passbolt.com)
 * @license       https://opensource.org/licenses/AGPL-3.0 AGPL License
 * @link          https://www.passbolt.com Passbolt(tm)
 * @since         2.0.0
 */
/**
 * PASSBOLT CONFIGURATION FILE
 *
 * This is a generated configuration file, which was generated by the passbolt web installer.
 *
 * To see all available options, you can refer to the default.php file, or replace this file
 * by a copy of passbolt.default.php
 * Do not modify default.php or you may break your upgrade process.
 *
 * Read more about how to install passbolt: https://www.passbolt.com/help/tech/install
 * Any issue, check out our FAQ: https://www.passbolt.com/faq
 * An installation issue? Ask for help to the community: https://community.passbolt.com/
 */
return [
    'App' => [
        // A base URL to use for absolute links.
        // The url where the passbolt instance will be reachable to your end users.
        // This information is need to render images in emails for example
        'fullBaseUrl' => '<?= $config['options']['full_base_url'] ?>',
    ],

    // Database configuration.
    'Datasources' => [
        'default' => [
            'driver' => '<?= $config['database']['driver'] ?>',
            'host' => '<?= $config['database']['host'] ?>',
            'port' => '<?= $config['database']['port'] ?>',
            'username' => '<?= $config['database']['username'] ?>',
            'password' => '<?= $config['database']['password'] ?>',
            'database' => '<?= $config['database']['database'] ?>',
        ],
    ],

    'passbolt' => [
        // GPG Configuration.
        // The keyring must be owned and accessible by the webserver user.
        // Example: www-data user on Debian
        'gpg' => [
            // Main server key.
            'serverKey' => [
                // Server private key fingerprint.
                'fingerprint' => '<?= $config['gpg']['fingerprint'] ?>',
                'public' => CONFIG . DS . 'gpg' . DS . 'serverkey.asc',
                'private' => CONFIG . DS . 'gpg' . DS . 'serverkey_private.asc',
            ],
        ],
        'ssl' => [
            'force' => <?= $config['options']['force_ssl'] ? 'true' : 'false' ?>,
        ]
    ],
];
